org.apache.tinkerpop.gremlin.process.traversal.step.map

## Class VertexTest.Traversals

- java.lang.Object
- - org.apache.tinkerpop.gremlin.AbstractGremlinTest
  - - org.apache.tinkerpop.gremlin.process.AbstractGremlinProcessTest
    - - org.apache.tinkerpop.gremlin.process.traversal.step.map.VertexTest
      - - org.apache.tinkerpop.gremlin.process.traversal.step.map.VertexTest.Traversals

- Enclosing class:
    VertexTest

      public static class VertexTest.Traversals
      extends VertexTest

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.apache.tinkerpop.gremlin.process.traversal.step.map.VertexTest

      `VertexTest.Traversals`

  - ### Field Summary

    - ### Fields inherited from class org.apache.tinkerpop.gremlin.AbstractGremlinTest

      `config, g, graph, graphProvider, name, shouldTestIteratorLeak`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Traversals()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Traversal<Edge,Edge>` | `get_g_E()`
    `Traversal<Edge,Edge>` | `get_g_EX11X(Object e11Id)`
    `Traversal<Edge,Edge>` | `get_g_EXe11X(Edge e11)`
    `Traversal<Edge,Edge>` | `get_g_EXe7_e11X(Edge e7, Edge e11)`
    `Traversal<Edge,Edge>` | `get_g_EXlistXe7_e11XX(Edge e7, Edge e11)`
    `Traversal<Vertex,Edge>` | `get_g_V_hasLabelXloopsX_bothEXselfX()`
    `Traversal<Vertex,Vertex>` | `get_g_V_hasLabelXloopsX_bothXselfX()`
    `Traversal<Vertex,String>` | `get_g_V_hasLabelXpersonX_V_hasLabelXsoftwareX_name()`
    `Traversal<Vertex,Vertex>` | `get_g_V_out_out()`
    `Traversal<Vertex,String>` | `get_g_V_out_outE_inV_inE_inV_both_name()`
    `Traversal<Vertex,Vertex>` | `get_g_V_outE_hasXweight_1X_outV()`
    `Traversal<Vertex,Vertex>` | `get_g_V()`
    `Traversal<Vertex,String>` | `get_g_VX1_2_3_4X_name(Object v1Id, Object v2Id, Object v3Id, Object v4Id)`
    `Traversal<Vertex,String>` | `get_g_VX1X_out_name(Object v1Id)`
    `Traversal<Vertex,Vertex>` | `get_g_VX1X_out_out_out(Object v1Id)`
    `Traversal<Vertex,Vertex>` | `get_g_VX1X_out(Object v1Id)`
    `Traversal<Vertex,Vertex>` | `get_g_VX1X_outE_inV(Object v1Id)`
    `Traversal<Vertex,Vertex>` | `get_g_VX1X_outE_otherV(Object v1Id)`
    `Traversal<Vertex,Edge>` | `get_g_VX1X_outE(Object v1Id)`
    `Traversal<Vertex,Vertex>` | `get_g_VX1X_outEXknows_createdX_inV(Object v1Id)`
    `Traversal<Vertex,String>` | `get_g_VX1X_outEXknowsX_bothV_name(Object v1Id)`
    `Traversal<Vertex,Vertex>` | `get_g_VX1X_outEXknowsX_inV(Object v1Id)`
    `Traversal<Vertex,Vertex>` | `get_g_VX1X_outXknows_createdX(Object v1Id)`
    `Traversal<Vertex,Vertex>` | `get_g_VX1X_outXknowsX(Object v1Id)`
    `Traversal<Vertex,Vertex>` | `get_g_VX1X_to_XOUT_knowsX(Object v1Id)`
    `Traversal<Vertex,Vertex>` | `get_g_VX2X_in(Object v2Id)`
    `Traversal<Vertex,Vertex>` | `get_g_VX2X_inE_outV(Object v2Id)`
    `Traversal<Vertex,Edge>` | `get_g_VX2X_inE(Object v2Id)`
    `Traversal<Vertex,Vertex>` | `get_g_VX4X_both(Object v4Id)`
    `Traversal<Vertex,Vertex>` | `get_g_VX4X_bothE_hasXweight_lt_1X_otherV(Object v4Id)`
    `Traversal<Vertex,Vertex>` | `get_g_VX4X_bothE_otherV(Object v4Id)`
    `Traversal<Vertex,Edge>` | `get_g_VX4X_bothE(Object v4Id)`
    `Traversal<Vertex,Edge>` | `get_g_VX4X_bothEXcreatedX(Object v4Id)`
    `Traversal<Vertex,String>` | `get_g_VXlistX1_2_3XX_name(Object v1Id, Object v2Id, Object v3Id)`
    `Traversal<Vertex,String>` | `get_g_VXlistXv1_v2_v3XX_name(Vertex v1, Vertex v2, Vertex v3)`
    `Traversal<Vertex,Vertex>` | `get_g_VXv1X_out(Vertex v1)`

    - ### Methods inherited from class org.apache.tinkerpop.gremlin.process.traversal.step.map.VertexTest

      `g_E, g_EX11AsStringX, g_EX11X, g_EXe11X, g_EXe7_e11X, g_EXlistXe7_e11XX, g_V_hasLabelXloopsX_bothEXselfX, g_V_hasLabelXloopsX_bothXselfX, g_V_hasLabelXpersonX_V_hasLabelXsoftwareX_name, g_V_out_out, g_V_out_outE_inV_inE_inV_both_name, g_V_outE_hasXweight_1X_outV, g_V, g_VX1_2_3_4X_name, g_VX1AsStringX_outXknowsX, g_VX1X_out_name, g_VX1X_out_out_out, g_VX1X_out, g_VX1X_outE_inV, g_VX1X_outE_otherV, g_VX1X_outE, g_VX1X_outEXknows_createdX_inV, g_VX1X_outEXknowsX_bothV_name, g_VX1X_outEXknowsX_inV, g_VX1X_outXknows_createdX, g_VX1X_outXknowsX, g_VX1X_to_XOUT_knowsX, g_VX2X_in, g_VX2X_inE_outV, g_VX2X_inE, g_VX4X_both, g_VX4X_bothE_hasXweight_lt_1X_otherV, g_VX4X_bothE_otherV, g_VX4X_bothE, g_VX4X_bothEXcreatedX, g_VXlistX1_2_3XX_name, g_VXlistXv1_v2_v3XX_name, g_VXv1X_out`

    - ### Methods inherited from class org.apache.tinkerpop.gremlin.process.AbstractGremlinProcessTest

      `checkMap, checkOrderedResults, checkResults, checkResults, checkSideEffects, graphMeetsTestRequirements, hasGraphComputerRequirement, makeMapList, setupTest`

    - ### Methods inherited from class org.apache.tinkerpop.gremlin.AbstractGremlinTest

      `afterLoadGraphWith, assertVertexEdgeCounts, beforeLoadGraphWith, convertToEdge, convertToEdgeId, convertToEdgeId, convertToVertex, convertToVertex, convertToVertexId, convertToVertexId, convertToVertexProperty, convertToVertexPropertyId, convertToVertexPropertyId, getAssertVertexEdgeCounts, printTraversalForm, setup, tearDown, tryCommit, tryCommit, tryRollback, validateException, verifyUniqueStepIds`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Traversals

          public Traversals()

  - ### Method Detail

    - #### get_g_VXlistXv1_v2_v3XX_name

          public Traversal<Vertex,String> get_g_VXlistXv1_v2_v3XX_name(Vertex v1,
                                                                       Vertex v2,
                                                                       Vertex v3)

      Specified by:
        `get_g_VXlistXv1_v2_v3XX_name` in class `VertexTest`

    - #### get_g_VXlistX1_2_3XX_name

          public Traversal<Vertex,String> get_g_VXlistX1_2_3XX_name(Object v1Id,
                                                                    Object v2Id,
                                                                    Object v3Id)

      Specified by:
        `get_g_VXlistX1_2_3XX_name` in class `VertexTest`

    - #### get_g_V

          public Traversal<Vertex,Vertex> get_g_V()

      Specified by:
        `get_g_V` in class `VertexTest`

    - #### get_g_VXv1X_out

          public Traversal<Vertex,Vertex> get_g_VXv1X_out(Vertex v1)

      Specified by:
        `get_g_VXv1X_out` in class `VertexTest`

    - #### get_g_VX1X_out

          public Traversal<Vertex,Vertex> get_g_VX1X_out(Object v1Id)

      Specified by:
        `get_g_VX1X_out` in class `VertexTest`

    - #### get_g_VX2X_in

          public Traversal<Vertex,Vertex> get_g_VX2X_in(Object v2Id)

      Specified by:
        `get_g_VX2X_in` in class `VertexTest`

    - #### get_g_VX4X_both

          public Traversal<Vertex,Vertex> get_g_VX4X_both(Object v4Id)

      Specified by:
        `get_g_VX4X_both` in class `VertexTest`

    - #### get_g_E

          public Traversal<Edge,Edge> get_g_E()

      Specified by:
        `get_g_E` in class `VertexTest`

    - #### get_g_VX1X_outE

          public Traversal<Vertex,Edge> get_g_VX1X_outE(Object v1Id)

      Specified by:
        `get_g_VX1X_outE` in class `VertexTest`

    - #### get_g_VX2X_inE

          public Traversal<Vertex,Edge> get_g_VX2X_inE(Object v2Id)

      Specified by:
        `get_g_VX2X_inE` in class `VertexTest`

    - #### get_g_VX4X_bothE

          public Traversal<Vertex,Edge> get_g_VX4X_bothE(Object v4Id)

      Specified by:
        `get_g_VX4X_bothE` in class `VertexTest`

    - #### get_g_VX4X_bothEXcreatedX

          public Traversal<Vertex,Edge> get_g_VX4X_bothEXcreatedX(Object v4Id)

      Specified by:
        `get_g_VX4X_bothEXcreatedX` in class `VertexTest`

    - #### get_g_VX1X_outE_inV

          public Traversal<Vertex,Vertex> get_g_VX1X_outE_inV(Object v1Id)

      Specified by:
        `get_g_VX1X_outE_inV` in class `VertexTest`

    - #### get_g_VX2X_inE_outV

          public Traversal<Vertex,Vertex> get_g_VX2X_inE_outV(Object v2Id)

      Specified by:
        `get_g_VX2X_inE_outV` in class `VertexTest`

    - #### get_g_V_outE_hasXweight_1X_outV

          public Traversal<Vertex,Vertex> get_g_V_outE_hasXweight_1X_outV()

      Specified by:
        `get_g_V_outE_hasXweight_1X_outV` in class `VertexTest`

    - #### get_g_V_out_outE_inV_inE_inV_both_name

          public Traversal<Vertex,String> get_g_V_out_outE_inV_inE_inV_both_name()

      Specified by:
        `get_g_V_out_outE_inV_inE_inV_both_name` in class `VertexTest`

    - #### get_g_VX1X_outEXknowsX_bothV_name

          public Traversal<Vertex,String> get_g_VX1X_outEXknowsX_bothV_name(Object v1Id)

      Specified by:
        `get_g_VX1X_outEXknowsX_bothV_name` in class `VertexTest`

    - #### get_g_VX1X_outXknowsX

          public Traversal<Vertex,Vertex> get_g_VX1X_outXknowsX(Object v1Id)

      Specified by:
        `get_g_VX1X_outXknowsX` in class `VertexTest`

    - #### get_g_VX1X_outXknows_createdX

          public Traversal<Vertex,Vertex> get_g_VX1X_outXknows_createdX(Object v1Id)

      Specified by:
        `get_g_VX1X_outXknows_createdX` in class `VertexTest`

    - #### get_g_VX1X_outEXknowsX_inV

          public Traversal<Vertex,Vertex> get_g_VX1X_outEXknowsX_inV(Object v1Id)

      Specified by:
        `get_g_VX1X_outEXknowsX_inV` in class `VertexTest`

    - #### get_g_VX1X_outEXknows_createdX_inV

          public Traversal<Vertex,Vertex> get_g_VX1X_outEXknows_createdX_inV(Object v1Id)

      Specified by:
        `get_g_VX1X_outEXknows_createdX_inV` in class `VertexTest`

    - #### get_g_VX1X_outE_otherV

          public Traversal<Vertex,Vertex> get_g_VX1X_outE_otherV(Object v1Id)

      Specified by:
        `get_g_VX1X_outE_otherV` in class `VertexTest`

    - #### get_g_VX4X_bothE_otherV

          public Traversal<Vertex,Vertex> get_g_VX4X_bothE_otherV(Object v4Id)

      Specified by:
        `get_g_VX4X_bothE_otherV` in class `VertexTest`

    - #### get_g_VX4X_bothE_hasXweight_lt_1X_otherV

          public Traversal<Vertex,Vertex> get_g_VX4X_bothE_hasXweight_lt_1X_otherV(Object v4Id)

      Specified by:
        `get_g_VX4X_bothE_hasXweight_lt_1X_otherV` in class `VertexTest`

    - #### get_g_V_out_out

          public Traversal<Vertex,Vertex> get_g_V_out_out()

      Specified by:
        `get_g_V_out_out` in class `VertexTest`

    - #### get_g_VX1X_out_out_out

          public Traversal<Vertex,Vertex> get_g_VX1X_out_out_out(Object v1Id)

      Specified by:
        `get_g_VX1X_out_out_out` in class `VertexTest`

    - #### get_g_VX1X_out_name

          public Traversal<Vertex,String> get_g_VX1X_out_name(Object v1Id)

      Specified by:
        `get_g_VX1X_out_name` in class `VertexTest`

    - #### get_g_VX1X_to_XOUT_knowsX

          public Traversal<Vertex,Vertex> get_g_VX1X_to_XOUT_knowsX(Object v1Id)

      Specified by:
        `get_g_VX1X_to_XOUT_knowsX` in class `VertexTest`

    - #### get_g_VX1_2_3_4X_name

          public Traversal<Vertex,String> get_g_VX1_2_3_4X_name(Object v1Id,
                                                                Object v2Id,
                                                                Object v3Id,
                                                                Object v4Id)

      Specified by:
        `get_g_VX1_2_3_4X_name` in class `VertexTest`

    - #### get_g_EX11X

          public Traversal<Edge,Edge> get_g_EX11X(Object e11Id)

      Specified by:
        `get_g_EX11X` in class `VertexTest`

    - #### get_g_EXe11X

          public Traversal<Edge,Edge> get_g_EXe11X(Edge e11)

      Specified by:
        `get_g_EXe11X` in class `VertexTest`

    - #### get_g_EXlistXe7_e11XX

          public Traversal<Edge,Edge> get_g_EXlistXe7_e11XX(Edge e7,
                                                            Edge e11)

      Specified by:
        `get_g_EXlistXe7_e11XX` in class `VertexTest`

    - #### get_g_EXe7_e11X

          public Traversal<Edge,Edge> get_g_EXe7_e11X(Edge e7,
                                                      Edge e11)

      Specified by:
        `get_g_EXe7_e11X` in class `VertexTest`

    - #### get_g_V_hasLabelXpersonX_V_hasLabelXsoftwareX_name

          public Traversal<Vertex,String> get_g_V_hasLabelXpersonX_V_hasLabelXsoftwareX_name()

      Specified by:
        `get_g_V_hasLabelXpersonX_V_hasLabelXsoftwareX_name` in class `VertexTest`

    - #### get_g_V_hasLabelXloopsX_bothEXselfX

          public Traversal<Vertex,Edge> get_g_V_hasLabelXloopsX_bothEXselfX()

      Specified by:
        `get_g_V_hasLabelXloopsX_bothEXselfX` in class `VertexTest`

    - #### get_g_V_hasLabelXloopsX_bothXselfX

          public Traversal<Vertex,Vertex> get_g_V_hasLabelXloopsX_bothXselfX()

      Specified by:
        `get_g_V_hasLabelXloopsX_bothXselfX` in class `VertexTest`

Copyright © 2013–2020 Apache Software Foundation. All rights reserved.